> ## Documentation Index
> Fetch the complete documentation index at: https://developer.hellgate.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Finds the account by the key_value in the query



## OpenAPI

````yaml /products/commerce/v1/openapi.yaml get /configuration/find/account
openapi: 3.1.0
info:
  license:
    name: Hellgate® API License
    url: https://starfish.team
  title: Commerce
  version: '0.1'
servers:
  - url: https://commerce1.on-hellgate.dev
    variables: {}
security:
  - mtls: []
  - api_key: []
tags: []
paths:
  /configuration/find/account:
    get:
      tags:
        - accounts
      summary: Finds the account by the key_value in the query
      operationId: CommerceWeb.Configuration.AccountController.find_by_key
      parameters:
        - description: Account key
          in: query
          name: key_value
          required: true
          schema:
            type: string
            x-struct: null
            x-validate: null
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AccountShortResponse'
          description: Success
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Error
      callbacks: {}
      security:
        - mtls: []
components:
  schemas:
    AccountShortResponse:
      properties:
        id:
          format: uuid
          type: string
          x-struct: null
          x-validate: null
        name:
          type: string
          x-struct: null
          x-validate: null
        payment_instruments:
          properties:
            ach:
              type: boolean
              x-struct: null
              x-validate: null
            bank_transfer:
              type: boolean
              x-struct: null
              x-validate: null
            card:
              type: boolean
              x-struct: null
              x-validate: null
            sct:
              type: boolean
              x-struct: null
              x-validate: null
            sdd:
              type: boolean
              x-struct: null
              x-validate: null
          type: object
          x-struct: null
          x-validate: null
        platform_payments:
          type: boolean
          x-struct: null
          x-validate: null
      required:
        - id
        - name
        - payment_instruments
        - platform_payments
      title: AccountShortResponse
      type: object
      x-struct: Elixir.CommerceWeb.Schemas.AccountsSchema.AccountShortResponse
      x-validate: null
    ErrorResponse:
      properties:
        classifier:
          type: string
          x-struct: null
          x-validate: null
        code:
          type: integer
          x-struct: null
          x-validate: null
        message:
          type: string
          x-struct: null
          x-validate: null
      required:
        - code
        - classifier
        - message
      title: ErrorResponse
      type: object
      x-struct: Elixir.CommerceWeb.Schemas.ErrorsSchema.ErrorResponse
      x-validate: null
  securitySchemes:
    mtls:
      description: >-
        Client certificate authentication via mTLS. Account-scoped routes
        additionally require the X-Account-ID header to identify the account.
      type: mutualTLS
    api_key:
      in: header
      name: X-API-Key
      type: apiKey

````